import '../../../../core/errors/result.dart';
import '../repositories/chat_repository.dart';
import '../entities/chat.dart';

class GetChatsUseCase {
  final ChatRepository _repository;

  GetChatsUseCase(this._repository);

  Future<Result<List<Chat>>> execute() {
    return _repository.getChats();
  }
}
